Retrieve User's by query
Retrieves User's data based on specified query filters.
Retrieves User's data based on specified query filters.
apikey<token>
Tenant API Key for authentication
In: query
apisecret<token>
Tenant API Secret for authentication
In: query
Query Parameters
region?string
The region to filter results by.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://cloud-api.loginradius.com/identity?region=us-east-1" \ -H "Content-Type: application/json" \ -d '{}'{
"total": 100,
"data": [
{
"_id": "user_123456789",
"DateCreated": "2023-10-01T12:00:00Z",
"DateModified": "2023-10-02T12:00:00Z",
"IsActive": true,
"IsDeleted": true,
"CustomObject": {},
"Uid": "UID_123456789"
}
],
"next": "DXF1ZXJ5QW5kRmV0Y2gBAAAAAAAABXcWem..."
}{
"ErrorCode": 965,
"Message": "The post body is invalid.",
"Description": "Please use a valid post body and make sure that it is in a valid JSON format."
}{
"ErrorCode": 909,
"Message": "Your LoginRadius site does not have permission to access this endpoint",
"Description": "Your LoginRadius site does not have permission to access this endpoint, please contact LoginRadius support for more information."
}{
"ErrorCode": 901,
"Message": "The API key is unauthorized",
"Description": "The provided LoginRadius API key is invalid or is not authorized, please use a valid or authorized LoginRadius API key or check the API key for your LoginRadius account."
}